// --- [global.h ] ------------------------------------------------------------
#define EEPROM_SIZE 			512

#define DS18S20				0x10		   // Family-Code fr DS18s20

#define TRUE 					1
#define FALSE 					0

//AUSGNGE PORTB
#define PORT_UART_OUT     PORTD           // RS485 PIN
#define DDR_UART_OUT      DDRD
#define PIN_UART_OUT      PD7


//AUSGNGE PORTC
#define erorr_BIT	     4	      //Pin number for TLED
#define erorr_PORT 	     PORTC     //Port where TLED is located
#define erorr_DDR 	     DDRB      //Port direction register where TLED is located

#define power_BIT	     5	      //Pin number for TLED
#define power_PORT 	     PORTC     //Port where TLED is located
#define power_DDR 	     DDRB      //Port direction register where TLED is located


#define erorr_ON() 	        sbi(erorr_PORT,erorr_BIT);
#define erorr_OFF() 	    cbi(erorr_PORT,erorr_BIT);

#define power_ON() 	        sbi(power_PORT,power_BIT);
#define power_OFF() 	    cbi(power_PORT,power_BIT);




#ifndef cbi
#define cbi(sfr, bit)     (_SFR_BYTE(sfr) &= ~_BV(bit)) 
#endif
#ifndef sbi
#define sbi(sfr, bit)     (_SFR_BYTE(sfr) |= _BV(bit))  
#endif





extern  char     msg[30];					// globale Variable zur Zeichenkonvertierung
extern  uint8_t  id[9];					    // fr den ROM-Adressen und Scratchboard

extern uint8_t  sensor_cnt;					// Anzahl der erfolgreich angelernten Sensoren
extern uint8_t  device_ID;                  // device_ID
// --- [ eof ] ----------------------------------------------------------------	