
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include "uart.h"

//###################################################################################  
 void uart_init(unsigned int baudrate)
//################################################################################### 
{
  UBRR0H = (unsigned char)(baudrate>>8);
  UBRR0L = (unsigned char) baudrate;
  
  UCSR0B |= (1<<TXEN0) | (1<<RXEN0);
  // Frame Format: Asynchron 8N1
  UCSR0C = (3<<UCSZ00);
}
//###################################################################################

//###################################################################################
void uart_putc(unsigned char c)
//###################################################################################
{
    while (!(UCSR0A & (1<<UDRE0)));  /* warten bis Senden moeglich */
    {
    }              
    //{
    UDR0 = c;
	//}

                          /* sende Zeichen */
}
//###################################################################################

//###################################################################################
uint8_t uart_getc(void)
//###################################################################################
{
    while (!(UCSR0A & (1<<RXC0)));   // warten bis Zeichen verfuegbar
       
    return UDR0;                   // Zeichen aus UDR an Aufrufer zurueckgeben

}
//###################################################################################

//###################################################################################
/* puts ist unabhaengig vom Controllertyp */
void uart_puts(const char *s )
//###################################################################################
{
    while (*s) 
      uart_putc(*s++);
}/* uart_puts */   
//###################################################################################